#!/usr/bin/env bash

run_directory=$(dirname $(readlink -f "$0"))
user=$(whoami)

if [ -f $run_directory/.disabled ]; then
  echo "Installation is disabled. Exiting..."
  exit 0
fi

if [ ! -d /home/$user/.bashrc.d ]; then
  echo "~/.bashrc.d does not exist. Creating it..."
  mkdir /home/$user/.bashrc.d
fi

echo "Copying bashrc-mine to extensions directory..."
cp $run_directory/bashrc-mine /home/$user/.bashrc.d/

echo "Finished install. Exiting..."
exit 0
